"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _types = require("../../../../types");
var _FilePicker = _interopRequireDefault(require("./components/FilePicker"));
var _send_icon = _interopRequireDefault(require("../../../../assets/send_icon.png"));
var _MessageListContext = require("../../../../context/MessageListContext");
var _UuidContext = require("../../../../context/UuidContext");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ONE_THOUSAND = 1000;
function Input() {
  const [userText, setUserText] = (0, _react.useState)('');
  const {
    uuid
  } = (0, _UuidContext.useUuid)();
  const {
    messageList
  } = (0, _MessageListContext.useMessageList)();
  const handleSubmitMessage = msg => {
    messageList.addMessage(msg);
  };
  const onSend = () => {
    if (!userText) return;
    const msg = {
      id: uuid.generate(),
      type: _types.MessageTypes.TEXT,
      message: userText,
      from: _types.From.USER
    };
    handleSubmitMessage(msg);
    setUserText('');
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    onChangeText: setUserText,
    style: _styles.styles.input,
    value: userText,
    maxLength: ONE_THOUSAND
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.icons
  }, /*#__PURE__*/_react.default.createElement(_FilePicker.default, null), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: "sendIcon",
    onPress: onSend
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _send_icon.default,
    style: _styles.styles.sendIcon
  }))));
}
var _default = Input;
exports.default = _default;
//# sourceMappingURL=index.js.map