"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _MessageComponent = _interopRequireDefault(require("./components/MessageComponent"));
var _MessageListContext = require("../../../../context/MessageListContext");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const MessageList = () => {
  const {
    messageList
  } = (0, _MessageListContext.useMessageList)();
  const flatlistRef = (0, _react.useRef)(null);
  const renderItem = _ref => {
    let {
      item
    } = _ref;
    return /*#__PURE__*/_react.default.createElement(_MessageComponent.default, {
      message: item
    });
  };
  const scrollBottom = () => {
    var _messageList$messages, _flatlistRef$current, _flatlistRef$current$;
    if (messageList !== null && messageList !== void 0 && (_messageList$messages = messageList.messages) !== null && _messageList$messages !== void 0 && _messageList$messages.length) (_flatlistRef$current = flatlistRef.current) === null || _flatlistRef$current === void 0 ? void 0 : (_flatlistRef$current$ = _flatlistRef$current.scrollToEnd) === null || _flatlistRef$current$ === void 0 ? void 0 : _flatlistRef$current$.call(_flatlistRef$current);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.messagesContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    ref: flatlistRef,
    data: messageList === null || messageList === void 0 ? void 0 : messageList.messages,
    onContentSizeChange: scrollBottom,
    onLayout: scrollBottom,
    renderItem: renderItem,
    keyExtractor: msg => msg.id
  }));
};
var _default = MessageList;
exports.default = _default;
//# sourceMappingURL=index.js.map