"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MessageListProvider;
exports.useMessageList = void 0;
var _react = _interopRequireWildcard(require("react"));
var _MessageList = require("../entities/MessageList");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const MessageListContext = /*#__PURE__*/(0, _react.createContext)({
  messageList: new _MessageList.MessageList([]),
  updateState: () => {}
});
const useMessageList = () => (0, _react.useContext)(MessageListContext);
exports.useMessageList = useMessageList;
function MessageListProvider(_ref) {
  let {
    children,
    initialMessageList
  } = _ref;
  const isFirstRender = (0, _react.useRef)(true);
  const [messageList, setMessageList] = (0, _react.useState)(initialMessageList);
  const updateState = () => {
    setMessageList(prevMessageList => new _MessageList.MessageList([...(prevMessageList === null || prevMessageList === void 0 ? void 0 : prevMessageList.messages)]));
  };
  (0, _react.useEffect)(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    setMessageList(initialMessageList);
  }, [isFirstRender.current]);
  return /*#__PURE__*/_react.default.createElement(MessageListContext.Provider, {
    value: {
      messageList,
      updateState
    }
  }, children);
}
//# sourceMappingURL=MessageListContext.js.map