"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatConfigurationsHttpGateway = void 0;
var _channel = require("../constants/channel");
var _initialChatConfigurations = require("../constants/initialChatConfigurations");
class ChatConfigurationsHttpGateway {
  constructor(httpAdapter) {
    this.httpAdapter = httpAdapter;
  }
  _treatStyles(apiResponse) {
    const [activeChannel] = apiResponse.channels.filter(ch => {
      var _ch$channelId, _ch$channelId$toLower;
      return (ch === null || ch === void 0 ? void 0 : (_ch$channelId = ch.channelId) === null || _ch$channelId === void 0 ? void 0 : (_ch$channelId$toLower = _ch$channelId.toLowerCase) === null || _ch$channelId$toLower === void 0 ? void 0 : _ch$channelId$toLower.call(_ch$channelId)) === _channel.channel;
    });
    if (activeChannel) {
      return {
        title: activeChannel.settings.headerName || _initialChatConfigurations.initialConfigs.title,
        poweredBy: activeChannel.poweredBy || _initialChatConfigurations.initialConfigs.poweredBy,
        poweredByUrl: activeChannel.poweredByUrl || _initialChatConfigurations.initialConfigs.poweredByUrl,
        settings: {
          botFab: activeChannel.settings.botFab || _initialChatConfigurations.initialConfigs.settings.botFab,
          mainColor: activeChannel.settings.mainColor || _initialChatConfigurations.initialConfigs.settings.mainColor,
          secondaryColor: activeChannel.settings.secondaryColor || _initialChatConfigurations.initialConfigs.settings.secondaryColor,
          mainTextColor: activeChannel.settings.mainTextColor || _initialChatConfigurations.initialConfigs.settings.mainTextColor,
          secondaryTextColor: activeChannel.settings.secondaryTextColor || _initialChatConfigurations.initialConfigs.settings.secondaryTextColor
        }
      };
    } else {
      return _initialChatConfigurations.initialConfigs;
    }
  }
  async getStyles(botId) {
    const styles = await this.httpAdapter.get(`/${botId}`);
    if (styles) {
      return this._treatStyles(styles);
    }
    return _initialChatConfigurations.initialConfigs;
  }
}
exports.ChatConfigurationsHttpGateway = ChatConfigurationsHttpGateway;
//# sourceMappingURL=ChatConfigurationsHttpGateway.js.map