"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SessionProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _SessionContext = _interopRequireDefault(require("../context/SessionContext"));
var _Session = require("../entities/Session");
var _Observer = require("../entities/Observer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SessionProvider = _ref => {
  let {
    sessionGateway,
    children
  } = _ref;
  const [initialSession, setInitialSession] = (0, _react.useState)(new _Session.Session(''));
  (0, _react.useEffect)(() => {
    const getInitialSession = async () => {
      const sessionId = await sessionGateway.getCurrent();
      const session = await sessionGateway.subscribe(sessionId);
      sessionGateway.onEndConversation(async () => {
        setInitialSession(await sessionGateway.clearSession());
      });
      session.register(new _Observer.Observer('sendAction', async data => {
        await sessionGateway.sendAction(data);
      }));
      session.register(new _Observer.Observer('clearSession', async () => {
        await sessionGateway.clearSession();
        const newSession = await sessionGateway.subscribe('');
        newSession.observers = session.observers;
        setInitialSession(newSession);
      }));
      setInitialSession(session);
    };
    getInitialSession();
  }, []);
  return /*#__PURE__*/_react.default.createElement(_SessionContext.default, {
    initialSession: initialSession
  }, children);
};
exports.SessionProvider = SessionProvider;
//# sourceMappingURL=SessionProvider.js.map