import React, { useState } from 'react';
import { TextInput, View, TouchableOpacity, Image } from 'react-native';
import { MessageTypes, From } from '../../../../types';
import FilePicker from './components/FilePicker';
import sendIcon from '../../../../assets/send_icon.png';
import { useMessageList } from '../../../../context/MessageListContext';
import { useUuid } from '../../../../context/UuidContext';
import { styles } from './styles';
const ONE_THOUSAND = 1000;
function Input() {
  const [userText, setUserText] = useState('');
  const {
    uuid
  } = useUuid();
  const {
    messageList
  } = useMessageList();
  const handleSubmitMessage = msg => {
    messageList.addMessage(msg);
  };
  const onSend = () => {
    if (!userText) return;
    const msg = {
      id: uuid.generate(),
      type: MessageTypes.TEXT,
      message: userText,
      from: From.USER
    };
    handleSubmitMessage(msg);
    setUserText('');
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(TextInput, {
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    onChangeText: setUserText,
    style: styles.input,
    value: userText,
    maxLength: ONE_THOUSAND
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.icons
  }, /*#__PURE__*/React.createElement(FilePicker, null), /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "sendIcon",
    onPress: onSend
  }, /*#__PURE__*/React.createElement(Image, {
    source: sendIcon,
    style: styles.sendIcon
  }))));
}
export default Input;
//# sourceMappingURL=index.js.map