import React, { createContext, useContext, useState, useEffect, useRef } from 'react';
import { Session } from '../entities/Session';
const SessionContext = /*#__PURE__*/createContext({
  session: {},
  updateState: () => {}
});
export const useSession = () => useContext(SessionContext);
export default function SessionContextProvider(_ref) {
  let {
    children,
    initialSession
  } = _ref;
  const isFirstRender = useRef(false);
  const [session, setSession] = useState(initialSession);
  const updateState = () => {
    setSession(prev => new Session(prev.current));
  };
  useEffect(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    setSession(initialSession);
  }, [isFirstRender.current, initialSession]);
  return /*#__PURE__*/React.createElement(SessionContext.Provider, {
    value: {
      session,
      updateState
    }
  }, children);
}
//# sourceMappingURL=SessionContext.js.map