import axios from 'axios';
export class AxiosHttpConnectionAdapter {
  constructor(baseUrl, logger) {
    this.baseUrl = baseUrl;
    this.logger = logger;
  }
  async get(url) {
    try {
      const requestUrl = this.baseUrl + url;
      const response = await axios.get(requestUrl);
      return response.data;
    } catch (error) {
      var _error$response, _error$response$data;
      this.logger.log('AxiosHttpConnectionAdapter.get encontered a error', `MESSAGE: ${error === null || error === void 0 ? void 0 : (_error$response = error.response) === null || _error$response === void 0 ? void 0 : (_error$response$data = _error$response.data) === null || _error$response$data === void 0 ? void 0 : _error$response$data.error}`, JSON.stringify(error));
      return null;
    }
  }
  async post(url, body) {
    try {
      const requestUrl = this.baseUrl + url;
      const response = await axios.post(requestUrl, body);
      return response.data;
    } catch (error) {
      var _error$response2, _error$response2$data;
      this.logger.log(`AxiosHttpConnectionAdapter.post encontered a error`, `MESSAGE: ${error === null || error === void 0 ? void 0 : (_error$response2 = error.response) === null || _error$response2 === void 0 ? void 0 : (_error$response2$data = _error$response2.data) === null || _error$response2$data === void 0 ? void 0 : _error$response2$data.error}`, JSON.stringify(error));
    }
  }
}
//# sourceMappingURL=AxiosHttpConnectionAdapter.js.map